<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ADCS-Hardware-in-the-Loop: widgets.PyQtGraph2dPlot Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="TUDSaT_.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ADCS-Hardware-in-the-Loop<span id="projectnumber">&#160;0.0</span>
   </div>
   <div id="projectbrief">This is a hardware in the Loop</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.svg"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('classwidgets_1_1_py_qt_graph2d_plot.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classwidgets_1_1_py_qt_graph2d_plot-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">widgets.PyQtGraph2dPlot Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for widgets.PyQtGraph2dPlot:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classwidgets_1_1_py_qt_graph2d_plot.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5689718c32ce4a9ab3dc7fe0f3446227"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a5689718c32ce4a9ab3dc7fe0f3446227">__init__</a> (self, parent, <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a7b86adca03919a1885e656fe2291bbfb">app</a>, <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a1a1d6ca064179aae69813e0a845966f8">database</a>, str <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a9266aa703ac7dceede26839110f94592">plot_title</a>, str <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a511efff31e70d1a1c7c21c4af265748a">table_name</a>, dict <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a42d9a1e15029aa9f9ca1885282a9b371">columns</a>, int <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a7fbcbc7ef9b646db5f152e262ce050c9">refresh_rate</a>, list <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a1f36f49de38ed2b7357619c286fcb253">left_label</a>, list <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#aefacfe42a0acb4dd9bd65258839f3067">bottom_label</a>, str <a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#aa9ce860be6c77c8e7c95a9c71b674a44">communication_mode</a>)</td></tr>
<tr class="separator:a5689718c32ce4a9ab3dc7fe0f3446227"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67db33888b8bb15cd9f595a7e9aaa8d9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a67db33888b8bb15cd9f595a7e9aaa8d9">update_plots</a> (self)</td></tr>
<tr class="separator:a67db33888b8bb15cd9f595a7e9aaa8d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7b86adca03919a1885e656fe2291bbfb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a7b86adca03919a1885e656fe2291bbfb">app</a></td></tr>
<tr class="separator:a7b86adca03919a1885e656fe2291bbfb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a1d6ca064179aae69813e0a845966f8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a1a1d6ca064179aae69813e0a845966f8">database</a></td></tr>
<tr class="separator:a1a1d6ca064179aae69813e0a845966f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9ce860be6c77c8e7c95a9c71b674a44"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#aa9ce860be6c77c8e7c95a9c71b674a44">communication_mode</a></td></tr>
<tr class="separator:aa9ce860be6c77c8e7c95a9c71b674a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9266aa703ac7dceede26839110f94592"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a9266aa703ac7dceede26839110f94592">plot_title</a></td></tr>
<tr class="separator:a9266aa703ac7dceede26839110f94592"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a511efff31e70d1a1c7c21c4af265748a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a511efff31e70d1a1c7c21c4af265748a">table_name</a></td></tr>
<tr class="separator:a511efff31e70d1a1c7c21c4af265748a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42d9a1e15029aa9f9ca1885282a9b371"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a42d9a1e15029aa9f9ca1885282a9b371">columns</a></td></tr>
<tr class="separator:a42d9a1e15029aa9f9ca1885282a9b371"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fbcbc7ef9b646db5f152e262ce050c9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a7fbcbc7ef9b646db5f152e262ce050c9">refresh_rate</a></td></tr>
<tr class="separator:a7fbcbc7ef9b646db5f152e262ce050c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f36f49de38ed2b7357619c286fcb253"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a1f36f49de38ed2b7357619c286fcb253">left_label</a></td></tr>
<tr class="separator:a1f36f49de38ed2b7357619c286fcb253"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefacfe42a0acb4dd9bd65258839f3067"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#aefacfe42a0acb4dd9bd65258839f3067">bottom_label</a></td></tr>
<tr class="separator:aefacfe42a0acb4dd9bd65258839f3067"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c026882c8477b6a7226a11e8b74cc03"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a0c026882c8477b6a7226a11e8b74cc03">plt</a></td></tr>
<tr class="separator:a0c026882c8477b6a7226a11e8b74cc03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c89a251a1697b16f9e8108fca41110"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a42c89a251a1697b16f9e8108fca41110">x</a></td></tr>
<tr class="separator:a42c89a251a1697b16f9e8108fca41110"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e68a16d944d38b4382ed7e50c328950"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a7e68a16d944d38b4382ed7e50c328950">y</a></td></tr>
<tr class="separator:a7e68a16d944d38b4382ed7e50c328950"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af71a1b4019dbc73752d9b038d21fc83b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#af71a1b4019dbc73752d9b038d21fc83b">curve</a></td></tr>
<tr class="separator:af71a1b4019dbc73752d9b038d21fc83b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67b3c533dfe0990a5e6dba3d28efe29f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html#a67b3c533dfe0990a5e6dba3d28efe29f">timer</a></td></tr>
<tr class="separator:a67b3c533dfe0990a5e6dba3d28efe29f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5689718c32ce4a9ab3dc7fe0f3446227" name="a5689718c32ce4a9ab3dc7fe0f3446227"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5689718c32ce4a9ab3dc7fe0f3446227">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def widgets.PyQtGraph2dPlot.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>app</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>database</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>plot_title</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>table_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dict&#160;</td>
          <td class="paramname"><em>columns</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>refresh_rate</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&#160;</td>
          <td class="paramname"><em>left_label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">list&#160;</td>
          <td class="paramname"><em>bottom_label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">str&#160;</td>
          <td class="paramname"><em>communication_mode</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Pyqtgraph 2D-live-plot from sqlite database.

:param parent: QWidget from PyQt5
:param app: Application from GUI to process Events
:param database: (str) name of database to read from / or Outputs class
:param plot_title: (str) shown plot title in Graph
:param table_name: (str) name of table in database to read from
:param columns: (dict) name and color of every line in the plot
:param refresh_rate: (int) update rate of the live plot in ms
:param left_label: (list) name and unit of y label
:param bottom_label: (list) name and unit of x label
:param communication_mode: (string) choose between diffrent communications</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a67db33888b8bb15cd9f595a7e9aaa8d9" name="a67db33888b8bb15cd9f595a7e9aaa8d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67db33888b8bb15cd9f595a7e9aaa8d9">&#9670;&nbsp;</a></span>update_plots()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def widgets.PyQtGraph2dPlot.update_plots </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment"> Update the plot </pre> 
</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7b86adca03919a1885e656fe2291bbfb" name="a7b86adca03919a1885e656fe2291bbfb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b86adca03919a1885e656fe2291bbfb">&#9670;&nbsp;</a></span>app</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.app</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aefacfe42a0acb4dd9bd65258839f3067" name="aefacfe42a0acb4dd9bd65258839f3067"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefacfe42a0acb4dd9bd65258839f3067">&#9670;&nbsp;</a></span>bottom_label</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.bottom_label</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42d9a1e15029aa9f9ca1885282a9b371" name="a42d9a1e15029aa9f9ca1885282a9b371"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42d9a1e15029aa9f9ca1885282a9b371">&#9670;&nbsp;</a></span>columns</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.columns</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9ce860be6c77c8e7c95a9c71b674a44" name="aa9ce860be6c77c8e7c95a9c71b674a44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9ce860be6c77c8e7c95a9c71b674a44">&#9670;&nbsp;</a></span>communication_mode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.communication_mode</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af71a1b4019dbc73752d9b038d21fc83b" name="af71a1b4019dbc73752d9b038d21fc83b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af71a1b4019dbc73752d9b038d21fc83b">&#9670;&nbsp;</a></span>curve</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.curve</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1a1d6ca064179aae69813e0a845966f8" name="a1a1d6ca064179aae69813e0a845966f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1a1d6ca064179aae69813e0a845966f8">&#9670;&nbsp;</a></span>database</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.database</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1f36f49de38ed2b7357619c286fcb253" name="a1f36f49de38ed2b7357619c286fcb253"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f36f49de38ed2b7357619c286fcb253">&#9670;&nbsp;</a></span>left_label</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.left_label</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9266aa703ac7dceede26839110f94592" name="a9266aa703ac7dceede26839110f94592"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9266aa703ac7dceede26839110f94592">&#9670;&nbsp;</a></span>plot_title</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.plot_title</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0c026882c8477b6a7226a11e8b74cc03" name="a0c026882c8477b6a7226a11e8b74cc03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c026882c8477b6a7226a11e8b74cc03">&#9670;&nbsp;</a></span>plt</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.plt</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7fbcbc7ef9b646db5f152e262ce050c9" name="a7fbcbc7ef9b646db5f152e262ce050c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fbcbc7ef9b646db5f152e262ce050c9">&#9670;&nbsp;</a></span>refresh_rate</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.refresh_rate</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a511efff31e70d1a1c7c21c4af265748a" name="a511efff31e70d1a1c7c21c4af265748a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a511efff31e70d1a1c7c21c4af265748a">&#9670;&nbsp;</a></span>table_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.table_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a67b3c533dfe0990a5e6dba3d28efe29f" name="a67b3c533dfe0990a5e6dba3d28efe29f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67b3c533dfe0990a5e6dba3d28efe29f">&#9670;&nbsp;</a></span>timer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.timer</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a42c89a251a1697b16f9e8108fca41110" name="a42c89a251a1697b16f9e8108fca41110"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42c89a251a1697b16f9e8108fca41110">&#9670;&nbsp;</a></span>x</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.x</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e68a16d944d38b4382ed7e50c328950" name="a7e68a16d944d38b4382ed7e50c328950"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e68a16d944d38b4382ed7e50c328950">&#9670;&nbsp;</a></span>y</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">widgets.PyQtGraph2dPlot.y</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="widgets_8py.html">widgets.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacewidgets.html">widgets</a></li><li class="navelem"><a class="el" href="classwidgets_1_1_py_qt_graph2d_plot.html">PyQtGraph2dPlot</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
